<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Flex Exercise 1</title>
    <style>
        * {
            margin: 0;
            padding: 0;
            font-family: Calibri;
        }

        body,
        html {
            width: 100%;
            height: 100%;
        }

        #container {
            width: 100%;
            height: 100%;
            display: flex;
            flex-wrap: wrap;
        }

        #container>div {
            border: 1px solid purple;
            display: flex;
            justify-content: center;
            align-items: center;
        }

        #header {
            flex: 100%;
            order: 1;
            height: 100px;
        }

        #left {
            flex: 2;
            order: 2;
            height: calc(100% - 181px);
        }

        #main {
            flex: 4;
            order: 4;
            height: calc(100% - 181px);
        }

        #right {
            flex: 1;
            order: 3;
            height: calc(100% - 181px);
        }

        #footer {
            order: 5;
            flex: 100%;
            height: 75px;
        }

        @media screen and (max-width: 500px) {

            #left {
                flex: 1;
                height: 100px;
            }

            #right {
                flex: 1;
                height: 100px;
            }

            #main {
                flex: 100%;
                height: calc(100% - 283px);
            }

        }
    </style>
</head>

<body>
    <div id="container">
        <div id="header">Header</div>
        <div id="left">Left</div>
        <div id="main" style="overflow: auto; text-align: left;">
            <div>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Soluta fuga aliquid consectetur quasi.
                    Tempora dolor quas praesentium, facere accusamus dignissimos est ipsum nobis consectetur suscipit
                    totam aliquam sapiente. Esse, fugit?</p>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Soluta fuga aliquid consectetur quasi.
                    Tempora dolor quas praesentium, facere accusamus dignissimos est ipsum nobis consectetur suscipit
                    totam aliquam sapiente. Esse, fugit?</p>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Soluta fuga aliquid consectetur quasi.
                    Tempora dolor quas praesentium, facere accusamus dignissimos est ipsum nobis consectetur suscipit
                    totam aliquam sapiente. Esse, fugit?</p>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Soluta fuga aliquid consectetur quasi.
                    Tempora dolor quas praesentium, facere accusamus dignissimos est ipsum nobis consectetur suscipit
                    totam aliquam sapiente. Esse, fugit?</p>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Soluta fuga aliquid consectetur quasi.
                    Tempora dolor quas praesentium, facere accusamus dignissimos est ipsum nobis consectetur suscipit
                    totam aliquam sapiente. Esse, fugit?</p>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Soluta fuga aliquid consectetur quasi.
                    Tempora dolor quas praesentium, facere accusamus dignissimos est ipsum nobis consectetur suscipit
                    totam aliquam sapiente. Esse, fugit?</p>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Soluta fuga aliquid consectetur quasi.
                    Tempora dolor quas praesentium, facere accusamus dignissimos est ipsum nobis consectetur suscipit
                    totam aliquam sapiente. Esse, fugit?</p>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Soluta fuga aliquid consectetur quasi.
                    Tempora dolor quas praesentium, facere accusamus dignissimos est ipsum nobis consectetur suscipit
                    totam aliquam sapiente. Esse, fugit?</p>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Soluta fuga aliquid consectetur quasi.
                    Tempora dolor quas praesentium, facere accusamus dignissimos est ipsum nobis consectetur suscipit
                    totam aliquam sapiente. Esse, fugit?</p>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Soluta fuga aliquid consectetur quasi.
                    Tempora dolor quas praesentium, facere accusamus dignissimos est ipsum nobis consectetur suscipit
                    totam aliquam sapiente. Esse, fugit?</p>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Soluta fuga aliquid consectetur quasi.
                    Tempora dolor quas praesentium, facere accusamus dignissimos est ipsum nobis consectetur suscipit
                    totam aliquam sapiente. Esse, fugit?</p>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Soluta fuga aliquid consectetur quasi.
                    Tempora dolor quas praesentium, facere accusamus dignissimos est ipsum nobis consectetur suscipit
                    totam aliquam sapiente. Esse, fugit?</p>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Soluta fuga aliquid consectetur quasi.
                    Tempora dolor quas praesentium, facere accusamus dignissimos est ipsum nobis consectetur suscipit
                    totam aliquam sapiente. Esse, fugit?</p>
                <p>Lorem, ipsum dolor sit amet consectetur adipisicing elit. Soluta fuga aliquid consectetur quasi.
                    Tempora dolor quas praesentium, facere accusamus dignissimos est ipsum nobis consectetur suscipit
                    totam aliquam sapiente. Esse, fugit?</p>
            </div>
        </div>
        <div id="right">Right</div>
        <div id="footer">Footer</div>
    </div>
</body>

</html>